﻿@page "/orders"
@using Ito.Software.Technical.Test.Domain.Dtos.Customer
@using Ito.Software.Technical.Test.Domain.Dtos.Order

<h1>Orders</h1>
<div class="d-flex justify-content-end">

    <AddOrder OnSaveData="HandleValidSubmitAsync" />
</div>
<table class="table">
    <thead>
        <tr>
            <th>Id</th>
            <th>Number</th>
            <th>Order date</th>
            <th>Total amount</th>
            <th>Actions</th>
        </tr>
    </thead>
    <tbody>
        @if (Orders.Count > 0)
        {
            @foreach (OrderDto order in Orders)
            {
                <tr>
                    <th>@order.OrderId</th>
                    <th>@order.OrderNumber</th>
                    <th>@order.OrderDate</th>
                    <th>@order.TotalAmount</th>
                    <th>
                        <a href="/orders/checkout/@order.OrderId"> Ir a pagar</a>
                    </th>
                </tr>
            }

        }
        else
        {
            <tr>
                <td colspan="5">
                    <div class="d-flex justify-content-center">
                        <h3>Loading...</h3>
                    </div>
                </td>
            </tr>
        }


    </tbody>
</table>